Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrScale Class Reference

Pango scale C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrScale:

List of all members.

## Public Member Functions

Constructors

- AttrScale (double scale_factor)
    Construct a new font size scale attribute.

## Detailed Description

Pango scale C++ wrapper class.

AttrScale wraps the font size scale factor attribute (ATTR_SCALE).

## Constructor & Destructor Documentation

Xfc::Pango::AttrScale::AttrScale | ( | double | scale_factor | ) | `[explicit]`

Construct a new font size scale attribute.

Parameters:

  | scale_factor | The factor to scale the font by.

The base font for the affected text will have its size multiplied by scale_factor.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3